package com.bjtdba.entity.wares;

import java.util.List;

public class StoreProduct {
    /**
     * 商品ID
     */
    private Integer product_id;
    /**
     * 商户Id
     */
    private Integer mer_id;
    /**
     * 商品图片
     */
    private String image;
    /**
     * 轮播图
     */
    private String slider_image;
    /**
     * 轮播图列表
     */
    private List<String> slider_image_list;
    /**
     * 商品名称
     */
    private String store_name;
    /**
     * 商品简介
     */
    private String store_info;
    /**
     * 单位名
     */
    private String unit_name;
    /**
     * 最低价格
     */
    private String price;
    /**
     * 成本价
     */
    private String cost;
    /**
     * 原价
     */
    private String ot_price;
    /**
     * 总库存
     */
    private String stock;
    /**
     * 销量
     */
    private String sales;
    /**
     * 虚拟销量
     */
    private String ficti;
    /**
     * 主图视频链接
     */
    private String video_link;
    /**
     * 0.普通商品 1.秒杀商品   商品类型
     */
    private String product_type;
    /**
     * 商品类型：1：普通商品。2：爆款商品。3：消费积分商品 。5：会员专享商品（城中大仓）6：每日免费领商品
     */
    private int type;
    /**
     * 大仓价格
     */
    private String dc_price;
    /**
     * 是否秒杀 1是  0不是
     */
    private String seckill;

    /**
     *佣金比例   0、系统   1、自定义
     */
    private Integer extension_type;

    /**
     * 返回计算后的养老金
     */
    private String yanglao_price;

    private String spu_id;
    private Integer pension_is;
    private Integer share_is;

    public String getSpu_id() {
        return spu_id;
    }

    public void setSpu_id(String spu_id) {
        this.spu_id = spu_id;
    }

    public String getYanglao_price() {
        return yanglao_price;
    }

    public void setYanglao_price(String yanglao_price) {
        this.yanglao_price = yanglao_price;
    }

    public Integer getExtension_type() {
        return extension_type;
    }

    public void setExtension_type(Integer extension_type) {
        this.extension_type = extension_type;
    }

    public List<String> getSlider_image_list() {
        return slider_image_list;
    }

    public void setSlider_image_list(List<String> slider_image_list) {
        this.slider_image_list = slider_image_list;
    }

    public Integer getProduct_id() {
        return product_id;
    }

    public void setProduct_id(Integer product_id) {
        this.product_id = product_id;
    }

    public Integer getMer_id() {
        return mer_id;
    }

    public void setMer_id(Integer mer_id) {
        this.mer_id = mer_id;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getSlider_image() {
        return slider_image;
    }

    public void setSlider_image(String slider_image) {
        this.slider_image = slider_image;
    }

    public String getStore_name() {
        return store_name;
    }

    public void setStore_name(String store_name) {
        this.store_name = store_name;
    }

    public String getStore_info() {
        return store_info;
    }

    public void setStore_info(String store_info) {
        this.store_info = store_info;
    }

    public String getUnit_name() {
        return unit_name;
    }

    public void setUnit_name(String unit_name) {
        this.unit_name = unit_name;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getCost() {
        return cost;
    }

    public void setCost(String cost) {
        this.cost = cost;
    }

    public String getOt_price() {
        return ot_price;
    }

    public void setOt_price(String ot_price) {
        this.ot_price = ot_price;
    }

    public String getStock() {
        return stock;
    }

    public void setStock(String stock) {
        this.stock = stock;
    }

    public String getSales() {
        return sales;
    }

    public void setSales(String sales) {
        this.sales = sales;
    }

    public String getFicti() {
        return ficti;
    }

    public void setFicti(String ficti) {
        this.ficti = ficti;
    }

    public String getVideo_link() {
        return video_link;
    }

    public void setVideo_link(String video_link) {
        this.video_link = video_link;
    }

    public String getProduct_type() {
        return product_type;
    }

    public void setProduct_type(String product_type) {
        this.product_type = product_type;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getDc_price() {
        return dc_price;
    }

    public void setDc_price(String dc_price) {
        this.dc_price = dc_price;
    }

    public String getSeckill() {
        return seckill;
    }

    public void setSeckill(String seckill) {
        this.seckill = seckill;
    }

    public Integer getPension_is() {
        return pension_is;
    }

    public void setPension_is(Integer pension_is) {
        this.pension_is = pension_is;
    }

    public Integer getShare_is() {
        return share_is;
    }

    public void setShare_is(Integer share_is) {
        this.share_is = share_is;
    }
}
